org.apache.hc.client5.http.config

## Class RequestConfig.Builder

- java.lang.Object
- - org.apache.hc.client5.http.config.RequestConfig.Builder

Enclosing class:
  RequestConfig

    public static class RequestConfig.Builder
    extends Object

### Method Summary

Methods
`RequestConfig` `build()`
`RequestConfig.Builder` `setAuthenticationEnabled(boolean authenticationEnabled)`
`RequestConfig.Builder` `setCircularRedirectsAllowed(boolean circularRedirectsAllowed)`
`RequestConfig.Builder` `setConnectionRequestTimeout(int connectionRequestTimeout)`
`RequestConfig.Builder` `setConnectTimeout(int connectTimeout)`
`RequestConfig.Builder` `setContentCompressionEnabled(boolean contentCompressionEnabled)`
`RequestConfig.Builder` `setCookieSpec(String cookieSpec)`
`RequestConfig.Builder` `setExpectContinueEnabled(boolean expectContinueEnabled)`
`RequestConfig.Builder` `setLocalAddress(InetAddress localAddress)`
`RequestConfig.Builder` `setMaxRedirects(int maxRedirects)`
`RequestConfig.Builder` `setProxy(org.apache.hc.core5.http.HttpHost proxy)`
`RequestConfig.Builder` `setProxyPreferredAuthSchemes(Collection<String> proxyPreferredAuthSchemes)`
`RequestConfig.Builder` `setRedirectsEnabled(boolean redirectsEnabled)`
`RequestConfig.Builder` `setRelativeRedirectsAllowed(boolean relativeRedirectsAllowed)`
`RequestConfig.Builder` `setSocketTimeout(int socketTimeout)`
`RequestConfig.Builder` `setStaleConnectionCheckEnabled(boolean staleConnectionCheckEnabled)`
`RequestConfig.Builder` `setTargetPreferredAuthSchemes(Collection<String> targetPreferredAuthSchemes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setExpectContinueEnabled

    public RequestConfig.Builder setExpectContinueEnabled(boolean expectContinueEnabled)

#### setProxy

    public RequestConfig.Builder setProxy(org.apache.hc.core5.http.HttpHost proxy)

#### setLocalAddress

    public RequestConfig.Builder setLocalAddress(InetAddress localAddress)

#### setCookieSpec

    public RequestConfig.Builder setCookieSpec(String cookieSpec)

#### setRedirectsEnabled

    public RequestConfig.Builder setRedirectsEnabled(boolean redirectsEnabled)

#### setRelativeRedirectsAllowed

    public RequestConfig.Builder setRelativeRedirectsAllowed(boolean relativeRedirectsAllowed)

#### setCircularRedirectsAllowed

    public RequestConfig.Builder setCircularRedirectsAllowed(boolean circularRedirectsAllowed)

#### setMaxRedirects

    public RequestConfig.Builder setMaxRedirects(int maxRedirects)

#### setAuthenticationEnabled

    public RequestConfig.Builder setAuthenticationEnabled(boolean authenticationEnabled)

#### setTargetPreferredAuthSchemes

    public RequestConfig.Builder setTargetPreferredAuthSchemes(Collection<String> targetPreferredAuthSchemes)

#### setProxyPreferredAuthSchemes

    public RequestConfig.Builder setProxyPreferredAuthSchemes(Collection<String> proxyPreferredAuthSchemes)

#### setConnectionRequestTimeout

    public RequestConfig.Builder setConnectionRequestTimeout(int connectionRequestTimeout)

#### setConnectTimeout

    public RequestConfig.Builder setConnectTimeout(int connectTimeout)

#### setSocketTimeout

    public RequestConfig.Builder setSocketTimeout(int socketTimeout)

#### setContentCompressionEnabled

    public RequestConfig.Builder setContentCompressionEnabled(boolean contentCompressionEnabled)

#### setStaleConnectionCheckEnabled

    public RequestConfig.Builder setStaleConnectionCheckEnabled(boolean staleConnectionCheckEnabled)

#### build

    public RequestConfig build()